from PIL import Image, ImageDraw

#Encoded String
string = "0010001001111100000010000100010010000000000100001111100111100000001000010001001000000100010000100010011111000111000"

def getPrimes(num):
    primes = []
    for i in range(2, num):
        if (num % i == 0):
            primes.append(i)
    print(primes)
    return primes


#Length of the string
length = len(string)

#Will return 5 and 23 since the string length only has two it can be written as a grid in exactly two ways: 5*23 or 23*5 
dimensions = getPrimes(int(length))

#Create image and image drawer
im = Image.new('RGB', (dimensions[1], dimensions[0]), (0, 0, 0))
draw = ImageDraw.Draw(im)


# Go through all characters in the string while itterating values of x and y 
# and set the point (x,y) to red if the corresponding character equals 1 and 
# set it to black if the corresponding character is 0 
x = 0
y = 0
char = 0
for i in range(dimensions[0]):
    for i in range(0, dimensions[1]):
        if string[char] == "0": 
            draw.point([x, y], (0, 0, 0))
        else:
            draw.point([x, y], (250, 0, 0))
        x += 1
        char += 1
    y+=1
    x=0

im.save('codedMessagePrinciple.png', 'PNG')
